Bug 184933 - Set build.webkit.org to use the new Test262-runner
Summary: Set build.webkit.org to use the new Test262-runner
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-04-24 13:42 PDT by Leo Balter
Modified: 2018-05-09 10:08 PDT (History)
7 users (show)

See Also:


Attachments
Patch (7.13 KB, patch)
2018-05-08 11:51 PDT, Leo Balter
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews204 for win-future (12.74 MB, application/zip)
2018-05-08 16:57 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Balter 2018-04-24 13:42:12 PDT
I might need some support to get this one fixed.
Comment 1 Leo Balter 2018-04-25 14:41:05 PDT
Some pre-work set here: https://bugs.webkit.org/show_bug.cgi?id=184934
Comment 2 Leo Balter 2018-05-08 11:51:08 PDT
Created attachment 339850 [details]
Patch
Comment 3 Build Bot 2018-05-08 11:52:31 PDT
Attachment 339850 [details] did not pass style-queue:


ERROR: Tools/BuildSlaveSupport/build.webkit.org-config/steps_unittest.py:138:  [RunTest262TestsTest.test_no_regressions_output] Undefined variable 'SUCCESS'  [pylint/E0602] [5]
ERROR: Tools/BuildSlaveSupport/build.webkit.org-config/steps_unittest.py:165:  [RunTest262TestsTest.test_failure_output] Undefined variable 'FAILURE'  [pylint/E0602] [5]
ERROR: Tools/BuildSlaveSupport/build.webkit.org-config/steps_unittest.py:192:  [RunTest262TestsTest.test_failures_output] Undefined variable 'FAILURE'  [pylint/E0602] [5]
Total errors found: 3 in 3 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Leo Balter 2018-05-08 12:04:30 PDT
This is an interesting bug, as nothing has changed there for these variables. Seems like an error from the style checker.
Comment 5 Build Bot 2018-05-08 16:56:56 PDT
Comment on attachment 339850 [details]
Patch

Attachment 339850 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/7616369

New failing tests:
http/tests/security/webaudio-render-remote-audio-allowed-crossorigin.html
Comment 6 Build Bot 2018-05-08 16:57:08 PDT
Created attachment 339902 [details]
Archive of layout-test-results from ews204 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews204  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 7 Aakash Jain 2018-05-09 09:59:41 PDT
Looks fine to me.
Comment 8 WebKit Commit Bot 2018-05-09 10:06:28 PDT
Comment on attachment 339850 [details]
Patch

Clearing flags on attachment: 339850

Committed r231570: <https://trac.webkit.org/changeset/231570>
Comment 9 WebKit Commit Bot 2018-05-09 10:06:30 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Radar WebKit Bug Importer 2018-05-09 10:08:15 PDT
<rdar://problem/40095621>